package com.mmc.iuav.user.dao.userpoints;

import com.mmc.iuav.user.entity.userpoints.UserPointsDetails;
import com.mmc.iuav.user.model.qo.userpoints.AppPointsDetailsQO;
import com.mmc.iuav.user.model.qo.userpoints.UserPointsDetailsQO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author small
 * @Date 2023/8/5 13:21
 * @Version 1.0
 */
@Mapper
public interface UserPointsDetailsDao {
    void insertPointsDetails(UserPointsDetails userPointsDetails);

    List<UserPointsDetails> detailPoint(UserPointsDetailsQO param);

    int detailPointCount(UserPointsDetailsQO param);

    List<UserPointsDetails> appDetailPoint(AppPointsDetailsQO param);

    int appDetailPointCount(AppPointsDetailsQO param);
}
